> ## Documentation Index
> Fetch the complete documentation index at: https://docs.breezeblue.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Stream voice preview

> Download a previously generated voice preview before saving it.



## OpenAPI

````yaml /openapi.json get /v1/voice-previews/{generated_voice_id}/stream
openapi: 3.1.0
info:
  title: Breeze Developer API
  description: >-
    Breeze Developer API for models, voices, text-to-speech, history, balance,
    usage, and browser-managed API keys.
  version: 1.0.0
servers:
  - url: https://api.breeze.blue
security: []
tags:
  - name: Models
    description: Supported TTS models.
  - name: Text to Speech
    description: Text-to-speech synthesis and instruction rewriting.
  - name: Voices
    description: Saved voices and voice settings.
  - name: Voice Previews
    description: Create, audition, and save temporary voice previews.
  - name: Account
    description: Balance, usage, and API keys.
  - name: History
    description: Generated audio history.
paths:
  /v1/voice-previews/{generated_voice_id}/stream:
    get:
      tags:
        - Voice Previews
      summary: Stream voice preview
      description: Download a previously generated voice preview before saving it.
      operationId: voice_previews_stream
      parameters:
        - name: generated_voice_id
          in: path
          required: true
          schema:
            title: Generated Voice Id
            type: string
          description: >-
            Preview ID returned by POST /v1/voice-previews/design or POST
            /v1/voice-previews/clone.
        - name: output_format
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Output Format
            default: mp3
          description: >-
            Output format for the preview. Supported values: mp3, wav, flac,
            pcm, aac, opus. Default: mp3.
      responses:
        '200':
          description: Binary audio preview.
          content:
            audio/mpeg:
              schema:
                type: string
                format: binary
            audio/wav:
              schema:
                type: string
                format: binary
            audio/flac:
              schema:
                type: string
                format: binary
            audio/aac:
              schema:
                type: string
                format: binary
            audio/opus:
              schema:
                type: string
                format: binary
            audio/pcm:
              schema:
                type: string
                format: binary
          headers:
            x-breeze-api-key-id:
              description: >-
                Public API key identifier used to authenticate the request, when
                an API key was used.
              schema:
                type: string
        '401':
          description: HTTP 401 error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: HTTP 404 error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - ApiKeyAuth: []
      x-codeSamples:
        - lang: cURL
          label: cURL
          source: |-
            curl \
              --request GET \
              --url "https://api.breeze.blue/v1/voice-previews/gvi_01hpreview/stream" \
              --header "xi-api-key: $BREEZE_API_KEY"
        - lang: Python
          label: Python SDK
          source: |-
            from pathlib import Path

            from breeze_blue import save

            import os

            from breeze_blue import BreezeBlue

            client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])

            audio = client.voices.stream_preview(
                generated_voice_id="gvi_01hpreview",
            )
            save(audio, Path("preview.mp3"))
        - lang: TypeScript
          label: TypeScript SDK
          source: |-
            import { save } from "@breeze.blue/sdk/node";
            import { BreezeBlueClient } from "@breeze.blue/sdk";

            const client = new BreezeBlueClient({
              apiKey: process.env.BREEZE_API_KEY!,
            });

            const audio = await client.voices.streamPreview("gvi_01hpreview");
            await save(audio, "preview.mp3");
components:
  schemas:
    ErrorResponse:
      properties:
        ok:
          default: false
          title: Ok
          type: boolean
        code:
          title: Code
          type: string
        detail:
          title: Detail
          type: string
        error:
          title: Error
          type: string
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          default: null
          title: Meta
      required:
        - code
        - detail
        - error
      title: ErrorResponse
      type: object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: xi-api-key
      description: Breeze Developer API key.

````